*******************************************************************************
* demo.prg
*
* demonstration of CB_GPR1x.lib
*
* (c) 1994 Christopher Blencowe
* Clipper 5.x / CB_GPR1.l5x
*********************************************************************
 
#define DEFAULTFONT 1
#define DEFAULTNAME "SYMB172"

* really copy spoolfile to printer
#undef DOPRINT
*******************************************************************************
* To avoid the CHR(26) problem change the line below if you have
* a low level print function as in CA-TOOLS III called PRINTSEND()
#undef HAS_PRINTSEND
 
#ifdef HAS_PRINTSEND
#command ?? <x> => printsend(<x>,"LPT1")
#endif
 
*******************************************************************************
* No more changes neccesary below
 
PRIVATE line,nWidth
 
nWidth=0
CLEAR
type:="LJ "
demo:=1
@0,0 SAY "Which TYPE of printer do you have (EPS/IBM/LJ/GQ): " GET type PICTURE "@!" VALID ("$"+type+"$")$("$EPS$IBM$LJ $GQ $")
READ
 
DO CASE
CASE ("$"+type+"$")$("$LJ $GQ $")
   name="..\"+DEFAULTNAME+"\LJ150\"+DEFAULTNAME
CASE ("$"+type+"$")$("$IBM$EPS$")
   name="..\"+DEFAULTNAME+"\EPS180\"+DEFAULTNAME
ENDCASE
 
IF FILE(name+".mem") .AND. FILE(name+".arr")
   file="file"
   SET CONSOLE OFF
   SET MARGIN TO 5
   SET PRINTER TO (file)
   SET PRINT ON
    
   ? gpr_version()   && for MARGIN
   ?
    
   ? gpr_init(name,type)
    
   for line=1 to gpr_linesa[DEFAULTFONT]
     ?? gpr_text(DEFAULTFONT,line,"C E F N",@nWidth)
     ?
   next line
   ?
   ?
    
   for line=1 to gpr_linesa[DEFAULTFONT]
     ?? gpr_text(DEFAULTFONT,line,"O T X",@nWidth)
     ?
   next line
   ?
   ?
    
   IF GPR_PTYP="LJ" .OR. GPR_PTYP="GQ"
      ?? gpr_deinit()
      EJECT
   ELSE
      ?? gpr_deinit()
   ENDIF
    
   SET PRINT OFF
   SET PRINTER TO
   #ifdef DOPRINT
   IF FILE(file + ".prn")
      RUN ("copy "+ file + ".prn PRN /b >NUL")
   ENDIF
   #endif
    
ELSE
   ?
   ? "Sorry, font files not found, have you precompiled them ?"
ENDIF
 
?
 
RETURN
 
*******************************************************************************
* that's all
*******************************************************************************
